ランタイム: Mix::Sound::IController Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::Sound::IController Class Referenceabstract

サウンドコントローラーインターフェース More...

`#include <IController.h>`

Inheritance diagram for Mix::Sound::IController:
[legend]
Collaboration diagram for Mix::Sound::IController:
[legend]

## Public Member Functions

virtual Float32 | GetVolume (void) const =0
| ボリュームを取得します More...
virtual void | SetVolume (Float32 volume)=0
| ボリュームを設定します More...
virtual Float32 | GetPanpot (void) const =0
| パンポットを取得します More...
virtual void | SetPanpot (Float32 panpot)=0
| パンポットを設定します More...
virtual Boolean | IsCloneable (void) const =0
| 複製できるかどうかを取得します More...
virtual Boolean | Clone (Mix::Sound::IController **ppController)=0
| 自身を複製します More...
Public Member Functions inherited from Mix::Sound::IDevice
virtual Boolean | IsPlaying (void)=0
| 再生中どうかを取得します More...
virtual void | Play (Boolean bLoop=False)=0
| 再生します More...
virtual void | Stop (void)=0
| 停止します More...
virtual void | Suspend (void)=0
| 一時停止します More...
virtual void | Resume (void)=0
| 一時停止を解除します More...
virtual Boolean | IsDisposed (void)=0
| 破棄されているかどうかを確認します More...
virtual void | Dispose (void)=0
| 破棄します More...
virtual const wchar_t * | GetFilePath (void) const =0
| ファイルパスを取得します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IController (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Sound::IDevice
virtual | ~IDevice (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

サウンドコントローラーインターフェース

## Constructor & Destructor Documentation

virtual Mix::Sound::IController::~IController | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual Float32 Mix::Sound::IController::GetVolume | ( | void |  | ) | const

pure virtual

ボリュームを取得します

Returns
  ボリュームを返します

virtual void Mix::Sound::IController::SetVolume | ( | Float32 | volume | ) |

pure virtual

ボリュームを設定します

Parameters

  [in] | volume | ボリューム( 最小[0.0] 〜 最大[1.0] )

virtual Float32 Mix::Sound::IController::GetPanpot | ( | void |  | ) | const

pure virtual

パンポットを取得します

Returns
  パンポットを返します

virtual void Mix::Sound::IController::SetPanpot | ( | Float32 | panpot | ) |

pure virtual

パンポットを設定します

Parameters

  [in] | panpot | パンポット( 左[-1.0] 〜 中立[0.0] 〜 右[1.0] )

virtual Boolean Mix::Sound::IController::IsCloneable | ( | void |  | ) | const

pure virtual

複製できるかどうかを取得します

Returns
  複製できる場合は True を返します

virtual Boolean Mix::Sound::IController::Clone | ( | Mix::Sound::IController ** | ppController | ) |

pure virtual

自身を複製します

Parameters

  [out] | ppController | 複製したコントローラーを渡す Mix::Sound::IController インターフェースのポインタのアドレス

The documentation for this class was generated from the following file:

- Mix/Sound/IController.h